Tenant

Get all available tenants by ai translator

Fetches all available tenants by ai translator.

GET
/api/v2/tenants/available-by-ai-translator/{id}

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The Ai Translator Id

Query Parameters

limit?integer

Maximum number of projects to return (pagination limit)

Default30
offset?integer

Offset to start pagination

Default0
name?string

Filter tenant by name

productId?string

Filter tenants by product ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/tenants/available-by-ai-translator/d3cb3f65-5b8b-4620-8480-5165621e1112?limit=30&offset=0&name=My+tenant+name&productId=d3cb3f65-5b8b-4620-8480-5165621e1112"
{  "tenants": [    {      "id": "ab51808b-43f3-4874-b5ed-2417f62b5b2c",      "name": "saas.b2broker",      "productId": "7c6c2c68-2def-421a-b4d0-107351f13049",      "productName": "b2broker"    }  ],  "pagination": {    "maxCount": 101  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Page not found"  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}